{ config, lib, ... }:

{
  options.ptw.system = {
    singleUser = lib.mkOption {
      type = lib.types.str;
      example = "PapaTutuWawa";
      readOnly = true;
      description = "The username of this single-user system";
    };
    wireless = lib.mkEnableOption "Enable wireless functionality";
    wifiInterface = lib.mkOption {
      type = lib.types.str;
      description = "The wireless interface to use for various options";
    };
    primaryInterface = lib.mkOption {
      type = lib.types.str;
      description = "The primary network interface to use";
    };
    hostName = lib.mkOption {
      type = lib.types.str;
      description = "The hostname to use";
    };
    isVM = lib.mkEnableOption "Sets whether the treat the host as VM";
  };
}
